Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.customizer
Class PropertyDescriptorsHolder

    java.lang.Object
      datechooser.beans.customizer.PropertyDescriptorsHolder

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class PropertyDescriptorsHolder

extends java.lang.Object
implements java.beans.PropertyChangeListener

Lets save / load beans properies.
Класс, реализующий непосредственную работу со свойствами компонент. Обеспечивает подключение нового компонента, загрузку и сохранение свойств. Краеугольный камень всей системы классов настройки компонент.

Since:
  1.0
Author:
  Androsov Vadim

Field Summary
`static java.lang.String` | `OK` Constant "Operation completed successfully".

Constructor Summary
`PropertyDescriptorsHolder(java.beans.BeanInfo beanInfo)` Creates holder not linked with bean.
`PropertyDescriptorsHolder(java.beans.BeanInfo beanInfo, java.lang.Object bean)` Creates holder linked with bean.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `firePropertyChange(java.lang.String name, java.lang.Object oldVal, java.lang.Object newVal)`
`java.beans.BeanInfo` | `getBeanInfo()` Get object of BeanInfo class.
`int` | `getPropertyCount()` How many properties current bean has.
`java.beans.PropertyDescriptor` | `getPropertydescriptor(java.lang.String property)` Get descriptor for specified property.
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Get all property descriptors.
`java.beans.PropertyEditorSupport` | `getPropertyEditor(java.lang.String property)` Get editor for specified property.
`boolean` | `isBeanAttached()` Is bean to customize.
`static boolean` | `isBooleanDescriptor(java.beans.PropertyDescriptor propertyDescriptor)` Is descriptor instance of Boolean or boolean type.
`static boolean` | `isStringDescriptor(java.beans.PropertyDescriptor propertyDescriptor)` Is descriptor instance of String type.
`void` | `prepareForBean(java.lang.Object bean)` Prepares bean for customizing.
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Updates bean when property was customized.
`java.lang.String` | `readFromFile(java.io.File file)` Reads properies from file.
`java.lang.String` | `readFromStream(java.io.InputStream from)` Read properties from input stream.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setBeanInfo(java.beans.BeanInfo info)` Set object of BeanInfo class.
`java.lang.String` | `writeToFile(java.io.File file)` Write properties to file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final java.lang.String OK

  Constant "Operation completed successfully".
  Константа "Операция завершена успешно.

  Since:
    1.0
  See Also:
    Constant Field Values

Constructor Detail

### PropertyDescriptorsHolder

    public PropertyDescriptorsHolder(java.beans.BeanInfo beanInfo)
                              throws java.beans.IntrospectionException

  Creates holder not linked with bean.
  Создает хранитель свойств, не связанный с конктетным компонентом.

  Throws:
    `java.beans.IntrospectionException`
  Since:
    1.0

### PropertyDescriptorsHolder

    public PropertyDescriptorsHolder(java.beans.BeanInfo beanInfo,
                                     java.lang.Object bean)
                              throws java.beans.IntrospectionException

  Creates holder linked with bean.
  Создает хранитель свойств, связанный с конктетным компонентом.

  Throws:
    `java.beans.IntrospectionException`
  Since:
    1.0

Method Detail

### isBooleanDescriptor

    public static boolean isBooleanDescriptor(java.beans.PropertyDescriptor propertyDescriptor)

  Is descriptor instance of Boolean or boolean type.
  Проверяет, относится ли дескриптор к логическому типу (Boolean или boolean)

  Parameters:
    `propertyDescriptor` - Descriptor to test.
    Проверяемый дескриптор.
  Returns:
    True if descriptor is instance of boolean type.
    Истину, если дескриптор описывает логический тип.
  Since:
    1.0

### isStringDescriptor

    public static boolean isStringDescriptor(java.beans.PropertyDescriptor propertyDescriptor)

  Is descriptor instance of String type.
  Проверяет, относится ли дескриптор к строковому типу.

  Parameters:
    `propertyDescriptor` - Descriptor to test.
    Проверяемый дескриптор.
  Returns:
    True if descriptor is instance of string type.
    Истину, если дескриптор описывает строку.
  Since:
    1.0

### prepareForBean

    public void prepareForBean(java.lang.Object bean)

  Prepares bean for customizing.
  Готовит компонент к настройке.

  Since:
    1.0

### getPropertyEditor

    public java.beans.PropertyEditorSupport getPropertyEditor(java.lang.String property)

  Get editor for specified property.
  Получает редактор для нужного свойства.

  Parameters:
    `property` - Property name.
    Название свойства.
  Returns:
    Editor for specified property.
    Редактор для нужного свойства.
  Since:
    1.0

### getPropertydescriptor

    public java.beans.PropertyDescriptor getPropertydescriptor(java.lang.String property)

  Get descriptor for specified property.
  Получает класс-описатель нужного свойства.

  Parameters:
    `property` - Property name.
    Название свойства.
  Returns:
    Descriptor for specified property.
    Описатель для нужного свойства.
  Since:
    1.0

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Updates bean when property was customized.
  Обновляет компонент, когда было изменено его свойсвтво. Записывает новое значение в компонент.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Since:
    1.0

### getPropertyCount

    public int getPropertyCount()

  How many properties current bean has.
  Сколько свойств у компонента.

  Returns:
    Properties count.
    Количество свойств.
  Since:
    1.0

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Get all property descriptors.
  Получить все зарегистрвированные объекты класса PropertyDescriptor.

  Since:
    1.0

### isBeanAttached

    public boolean isBeanAttached()

  Is bean to customize.
  Есть ли компонент для настройки.

  Since:
    1.0
  See Also:
    `prepareForBean(Object)`

### getBeanInfo

    public java.beans.BeanInfo getBeanInfo()

  Get object of BeanInfo class.
  Получить объект класса BeanInfo.

  Since:
    1.0

### setBeanInfo

    public void setBeanInfo(java.beans.BeanInfo info)

  Set object of BeanInfo class.
  Установить объект класса BeanInfo.

  Since:
    1.0

### writeToFile

    public java.lang.String writeToFile(java.io.File file)

  Write properties to file.
  Записать свойства в файл.

  Since:
    1.0

### readFromStream

    public java.lang.String readFromStream(java.io.InputStream from)

  Read properties from input stream. Use if you plan to store properties file in jar
  Прочитать свойства из потока ввода. Изпользуйте если планируете хранить файлы настроек в jar-файле.

  Since:
    1.0

### readFromFile

    public java.lang.String readFromFile(java.io.File file)

  Reads properies from file.
  Читает свойства из файла.

  Since:
    1.0

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Since:
    1.0

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Since:
    1.0

### firePropertyChange

    public void firePropertyChange(java.lang.String name,
                                   java.lang.Object oldVal,
                                   java.lang.Object newVal)

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD